> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trustblock.run/llms.txt
> Use this file to discover all available pages before exploring further.

# Security Data API

> A single route, infinite possibilities.

At Trustblock, we firmly believe in making things easy for everyone, thus our motivation to create one single route where you could access as much valuable data as possible for your own integrations.

<Steps>
  <Step title="Access your API key">
    Head to [app.trustblock.run](https://app.trustblock.run) to sign in.
    ![Sign in](https://ipfs.trustblock.run/ipfs/QmVpq3SwBm581cKvGweXktTSHXsgrKmfsf3Xm1z8j6dDu4/Connect.gif)
  </Step>

  <Step title="Copy your API key">
    Then click on the top right corner on your username, scroll down and click the copy button to get your API key.
    ![Copy API key](https://ipfs.trustblock.run/ipfs/QmVpq3SwBm581cKvGweXktTSHXsgrKmfsf3Xm1z8j6dDu4/ApiKey.gif)
  </Step>
</Steps>


## OpenAPI

````yaml get /v1/project/security
openapi: 3.0.0
info:
  title: TrustBlock Audit API
  version: 1.0.0
servers:
  - url: https://api.trustblock.run
security: []
paths:
  /v1/project/security:
    get:
      summary: Get project security state
      description: Retrieves the security state of a project based on query parameters.
      parameters:
        - in: query
          name: Fetching method
          schema:
            oneOf:
              - title: By Domain
                type: object
                properties:
                  domain:
                    type: string
                    description: The domain of the project.
              - title: By Slug
                type: object
                properties:
                  slug:
                    type: string
                    description: The slug of the project.
              - title: By Contract
                type: object
                required:
                  - chain
                  - address
                properties:
                  chain:
                    $ref: '#/components/schemas/Chain'
                    description: The blockchain chain of the project.
                  address:
                    type: string
                    description: The EVM address of the project.
          required: false
      responses:
        '200':
          description: A detailed view of the project's security state.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetProjectSecurityResponse'
        '400':
          description: >-
            Bad request. The request was unacceptable, often due to missing a
            required parameter or invalid data.
        '404':
          description: Not found. The specified resource could not be found.
      security:
        - Bearer: []
components:
  schemas:
    Chain:
      type: string
      enum:
        - ethereum
        - polygon
        - avalanche
        - bnbchain
        - arbitrum
        - optimism
        - fantom
        - zksync
        - base
        - polygonZkEvm
        - scroll
        - blast
        - starknet
        - solana
        - stellar
        - sui
        - tron
        - injective
      description: Supported blockchain chains.
    GetProjectSecurityResponse:
      type: object
      properties:
        extra:
          type: object
          properties:
            requestId:
              type: string
        name:
          type: string
        domain:
          type: string
        audits:
          type: array
          items:
            type: object
            properties:
              date:
                type: number
              url:
                type: string
              auditor:
                type: object
                properties:
                  name:
                    type: string
                  url:
                    type: string
        url:
          type: string
        isDeemedDangerous:
          type: boolean
          default: false
        activeIssues:
          type: array
          items:
            $ref: '#/components/schemas/Issue'
        activeRekts:
          type: array
          items:
            $ref: '#/components/schemas/ProjectRekt'
    Issue:
      type: object
      required:
        - name
        - description
        - status
        - severity
      properties:
        name:
          type: string
        description:
          type: string
        status:
          type: string
        severity:
          type: string
    ProjectRekt:
      type: object
      properties:
        name:
          type: string
        description:
          type: string
        rektAt:
          type: number
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````